Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.strukturen
Class SuchbaumInhalt

    java.lang.Object
      sum.strukturen.Ordnungsklasse
          sum.strukturen.SuchbaumInhalt

All Implemented Interfaces:
  Serializable

    public abstract class SuchbaumInhalt

extends Ordnungsklasse

Ein SuchbaumInhalt ist eine Klasse mit einer Ordnung, die außerdem zählen kann, wie oft ein Exemplar mit diesem Schlüssel eingefügt wurde.

Version:
  7.0 vom 21.9.2008
Author:
  Horst Hildebrecht
See Also:
  Serialized Form

Field Summary
`(package private) int` | `zAnzahl`

Constructor Summary
`SuchbaumInhalt()` Der SuchbaumInhalt hat die Anzahl 1.
`SuchbaumInhalt(int pAnzahl)` Der SuchbaumInhalt hat die angegebene Anzahl.

Method Summary
`int` | `anzahl()` Die Anzahl des SuchbaumInhalts wird geliefert.
`void` | `erhoeheAnzahl()` Die Anzahl des SuchbaumInhalts wurde inkrementiert.
`void` | `setzeAnzahl(int pAnzahl)` Der SuchbaumInhalt hat die angegebene Anzahl.

Methods inherited from class sum.strukturen.Ordnungsklasse
`istGleich, istGroesser, istKleiner`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### zAnzahl

    int zAnzahl

Constructor Detail

### SuchbaumInhalt

    public SuchbaumInhalt()

  Der SuchbaumInhalt hat die Anzahl 1.

### SuchbaumInhalt

    public SuchbaumInhalt(int pAnzahl)

  Der SuchbaumInhalt hat die angegebene Anzahl.

Method Detail

### anzahl

    public int anzahl()

  Die Anzahl des SuchbaumInhalts wird geliefert.

### erhoeheAnzahl

    public void erhoeheAnzahl()

  Die Anzahl des SuchbaumInhalts wurde inkrementiert.

### setzeAnzahl

    public void setzeAnzahl(int pAnzahl)

  Der SuchbaumInhalt hat die angegebene Anzahl.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD